body, table, div, p, dl 
{
	font-family: "Lucida Grande", Verdana, Geneva, Arial, sans-serif;
	font-size: 12px;
	line-height: 24px;
}

a.el 
{
	font-weight: bold;
}

body 
{
	background: white;
	color: black;
    margin: 0;
}

div.contents 
{
	margin-top: 10px;
	margin-left: 10px;
	margin-right: 10px;
}

div.header
{
	/*
    background-image:url('nav_h.png');
	*/
    background-repeat:repeat-x;
	background-color: #F9FAFC;
	margin:  0px;
	border-bottom: 1px solid #C4CFE5;
}

div.headertitle
{
	padding: 5px 5px 5px 10px;
}

h1 
{
	font-size: 150%;
}

h2 
{
	font-size: 120%;
}

hr 
{
	height: 0px;
	border: none;
	border-top: 1px solid #4A6AAA;
}

hr.footer 
{
	height: 1px;
}

td.indexkey 
{
	background-color: #EBEFF6;
	font-weight: bold;
	border: 1px solid #C4CFE5;
	margin: 2px 0px 2px 0;
	padding: 2px 10px;
}

td.indexvalue 
{
	background-color: #EBEFF6;
	border: 1px solid #C4CFE5;
	padding: 2px 10px;
	margin: 2px 0px;
}


.bold {
	font-weight: bold;
}

/* Styles for detailed member documentation */

.memtemplate {
	font-size: 80%;
	color: #4665A2;
	font-weight: normal;
	margin-left: 9px;
}

.memnav {
	background-color: #EBEFF6;
	border: 1px solid #A3B4D7;
	text-align: center;
	margin: 2px;
	margin-right: 15px;
	padding: 2px;
}

.memitem {
	padding: 0;
	margin-bottom: 10px;
}

.memname {
        white-space: nowrap;
        font-weight: bold;
        margin-left: 6px;
}

.memproto {
	padding: 5px 0px 5px 0px;
	color: #253555;
	font-weight: bold;
	border-top-right-radius: 5px;
	border-top-left-radius: 5px;
	-moz-border-radius-topright: 5px;
	-moz-border-radius-topleft: 5px;
	-webkit-border-top-right-radius: 5px;
	-webkit-border-top-left-radius: 5px;
	background-color: #EEE;
	border: 1px solid #A8B8D9;
}

.memdoc {
        border-left: 1px solid #A8B8D9;      
        border-right: 1px solid #A8B8D9; 
        border-bottom: 1px solid #A8B8D9;      
        padding: 2px 5px;
        border-top-width: 0;
        background-color: #FBFCFD;
        border-bottom-left-radius: 5px;
        border-bottom-right-radius: 5px;
        -moz-border-radius-bottomleft: 5px;
        -moz-border-radius-bottomright: 5px;
        -webkit-border-bottom-left-radius: 5px;
        -webkit-border-bottom-right-radius: 5px;
}

.paramkey {
	text-align: right;
}

.paramtype {
	white-space: nowrap;
}

.paramname {
	color: #602020;
	white-space: nowrap;
}
.paramname em {
	font-style: normal;
}

.params, .retval, .exception, .tparams {
        border-spacing: 6px 2px;
}       

.params .paramname, .retval .paramname {
        font-weight: bold;
        vertical-align: top;
}
        
.params .paramtype {
        font-style: italic;
        vertical-align: top;
}       
        
.params .paramdir {
        font-family: "courier new",courier,monospace;
        vertical-align: top;
}




/* @end */


/* @group Link Styling */

a {
	color: #3D578C;
	font-weight: normal;
	text-decoration: none;
}

.contents a:visited {
	color: #4665A2;
}

a:hover {
	text-decoration: underline;
}

a.qindex {
	font-weight: bold;
}

a.qindexHL {
	font-weight: bold;
	background-color: #9CAFD4;
	color: #ffffff;
	border: 1px double #869DCA;
}

.contents a.qindexHL:visited {
        color: #ffffff;
}

a.el {
	font-weight: bold;
}

a.elRef {
}

a.code {
	color: #4665A2;
}

a.codeRef {
	color: #4665A2;
}

/* @end */
.charliteral {
	font-weight: bold;
	color: #000;
}

/* @end */
.hs_code {
	background-color: #FFFFFF;
	border: 1px solid #A3B4D7;
	text-align: left;
	margin: 5px;
	padding: 10px;
	line-height:normal;
	font-size:9.75pt;
}

.hs_code_js{
	font-family: "Consolas", "Lucida Console", Monaco, monospace;
}

.hs_code_sql{
	font-family:"Courier New", Courier, monospace
}

.hs_code_keyword {
	color: Blue;	
}

.hs_code_string {
	color: Maroon;
}